<template>
  <div>
    <q-btn tag="a" to="/badan-usaha" style="margin-top:30px; margin-left: 30px" color="orange" icon="arrow_back" label="Kembali" />

    <q-form
      @submit="onSubmit"
      @reset="onReset"
      class="q-gutter-md"
    >
      <div class="q-pa-md" style="width: 80%; background: #4caf50; color: white; margin-top: 50px; margin-left: auto; margin-right: auto; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
        <h6 style="margin: 0px">Tambah Badan Usaha</h6>
      </div>
      <div class="q-pa-md" style="width: 80%; padding: 0; margin: auto; margin-top: 0px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
        <div>
          <p>&nbsp;</p>
          <h6 style="margin-left: 70px; margin-top: 0px; margin-bottom: 10px">Data Badan Usaha</h6>
          <div class="q-gutter-y-md" style="width: 85%; margin: auto" >

            <q-input
              standout="bg-green text-white"
              v-model="badanUsaha.business_code"
              label="Kode"
              :rules="[ val => val && val.length > 0 || 'Isi Kode Badan Usaha']"
            />
            <q-input
              standout="bg-green text-white"
              v-model="badanUsaha.business_entity"
              label="Badan Usaha"
              :rules="[ val => val && val.length > 0 || 'Isi Badan Usaha']"
            />
            <q-input
              standout="bg-green text-white"
              v-model="badanUsaha.desc"
              label="Deskripsi"
              type="textarea"
              :rules="[ val => val && val.length > 0 || 'Isi Deskripsi']"
            />

          </div>
          <p>&nbsp;</p>
        </div>
      </div>

      <div style="margin-top: 20px; margin-left: auto; margin-right:auto; margin-bottom: 50px; width: 80%">
        <q-btn  label="Simpan Badan Usaha" type="submit" color="green"/>
      </div>
    </q-form>
  </div>
</template>

<script>
export default {
  name: 'EditBadanUsaha',

  preFetch(data) {
    data.store.dispatch("badanusaha/getBadanUsahaById", data.currentRoute.params.id)
  },

  methods: {
    onSubmit () {
      this.$store.commit("badanusaha/setBadanUsaha", this.badanUsaha);
      this.$store.dispatch("badanusaha/addBadanUsaha", this.$route.params.id)
    },
    onReset () {

    }
  },

  computed: {
    badanUsaha() {
      return this.$store.state.badanusaha.badanUsaha;
    }
  }
}
</script>
